---
layout: course

title: Artificial Intelligence I
instructors:
    - mkohlhase

semesters:
    - WS16/17
    - WS17/18
    - WS18/19
    - WS19/20 
    - WS20/21 
    - WS21/22 
    - WS22/23 
    - WS23/24
    - WS24/25 
---

This course is the first part of a two-semester introduction into the field of Artificial
Intelligence (AI). It introduces the foundations of symbolic AI, in particular: 

* Agent Models as foundation of AI
* Logic Programming in Prolog
* Heuristic Search as a methdod for problem solving
* Adversarial Search (automating board games) via heuristic search
* Constraint Propagation
* Logical Languages for knowledge representation
* Inference and automated theorem proving
* Classical Planning
* Planning and Acting in the real world. 

The course follows the book
[Artificial Intelligence: A Modern Approach](https://www.pearson.com/us/higher-education/program/Russell-Artificial-Intelligence-A-Modern-Approach-3rd-Edition/PGM156683.html)
by Stuart Russell und Peter Norvig. We use the third edition. 

The course materials (e.g. [Course Notes](http://kwarc.info/teaching/AI/notes.pdf) or
[Assignments](http://kwarc.info/teaching/AI/assignments.pdf), but also old exams and
(some) solutions) are [here](http://kwarc.info/teaching/AI/). 

The course forum on [StudOn](https://studon.fau.de) is an important source for advice and
discussions. The instrutor and tutors try to be present to help. 

### German Version (possibly out of date)

Diese Vorlesung ist der erste Teil einer zwei-semestrigen Einführung in die Künstlichen
Intelligenz (KI). Sie beschäftigt sich mit den Grundlagen der symbolischen KI,
insbesondere

* Agentenmodelle als  Grundlagen der KI
* Logisches Programmieren in Prolog
* Heuristische Suche als Methode zum Problemlösen
* Adversarielle Suche (Strategiespiele)
* Probleme unter Rand- oder Nebenbedingungen (Constraint Propagation)
* Logische Sprachen zur Wissensrepräsentation,
* Inferenz und Logisches Programmieren
* Klassisches Planen
* Planen und Agieren in der realen Welt

Die Vorlesung folgt dem Buch
[Artificial Intelligence: A Modern Approach](https://www.pearson.com/us/higher-education/program/Russell-Artificial-Intelligence-A-Modern-Approach-3rd-Edition/PGM156683.html)
von Stuart Russell und Peter Norvig. Wir verwenden die dritte Ausgabe.

Die Kursmaterialien (z.B. [Course Notes](http://kwarc.info/teaching/AI/notes.pdf) oder
[Aufgaben](http://kwarc.info/teaching/AI/assignments.pdf), aber auch alte Klausuren)
finden sich in [hier](http://kwarc.info/teaching/AI/). 

Diskussionen finden auf dem
[StudOn](https://studon.fau.de) statt. Dies ist
eine wichtige Quelle von Rat und Tat. Wir bemühen uns, auf dem Forum präsent zu sein, und
schnell auf Fragen zu antworten. Also das Forum abonnieren! 
