---
layout: course

title: Informatische Werkzeuge in den Geistes- und Sozialwissenschaften IWGS-I
instructors:
    - mkohlhase

semesters:
    - WS18/19
    - WS19/20
    - WS20/21
    - WS21/22
    - WS22/23 
    - WS23/24 
    - WS24/25 
    - WS25/26 
---

Diese Vorlesung ist der erste Teil einer zwei-semestrigen Einführung. 
Das Ziel dieser Vorlesung ist es, Studenten einen Überberblick über die informatischen
Werkzeuge für die Geistes- und Sozialwissenschaften zu geben, sowie intuitiv ihre
Arbeitsweisen und Prinzipien zu erklären. Studenten sollen für die aufkommenden „Digitalen
Geistesund Sozialwissenschaften“ ermächtigt werden. Im Gegensatz zu normalen
Informatikvorlesungen, die primär die mathematischen Grundlagen und Berechnungskonzepte
einführen, die langfristig notwendig sind, die Informatik voll zu verstehen, wollen wir in
dieser Vorlesung Methoden und Werkzeuge einführen, die kurzfristig – am besten unmittelbar
– nützlich werden und so zu motivierenden Erfolgserlebnissen führen. Damit wollen wir den
„Programmierschock“ (das Gehirn hört auf zu arbeiten sobald von Programmen die Rede ist)
verhindern, der so häufig bei Geistes- und Sozialwissenschaftlern auftritt.

Themen in in IWGS-1

* programming in python (main tool in IWGS)
   * systematics and culture of programming
   * program and control structures
   * basic data strutures like numbers and strings, character encodings, unicode, and
   regular expressions
* digital documents and document processing
   * text files 
   * markup systems, HTML, and CSS
* Data bases and Data Storage
  * Entity Relationship diagrams,
  * CRUD operations, and DB querying
  * XML and JSON for file-based data storage
* Web technologies for interactive documents and applications
  * Internet infrastructure: web browsers and servers
  * PHP, dynamic HTML, Javascript, HTML forms
* Web Application Project (design your own!)

Die Kursmaterialien (z.B. [Course Notes](http://kwarc.info/teaching/IWGS/notes.pdf) oder
[Aufgaben](http://kwarc.info/teaching/IWGS/assignments.pdf), aber auch alte Klausuren)
finden sich in [hier](http://kwarc.info/teaching/IWGS/). 

Diskussionen finden auf dem
[Studon Forum IWGS](https://www.studon.fau.de/frm2319978.html) statt. Dies ist
eine wichtige Quelle von Rat und Tat. Wir bemühen uns, auf dem Forum präsent zu sein, und
schnell auf Fragen zu antworten. Also das Forum abonnieren! 
