---
layout: course

title: Seminar for mathematical data
instructors:
semesters:
    - SS20
---

This seminar grew out of the planned April 2020 [bilateral](https://kwarc.info/projects/mdh/)
workshop on mathematical data from Ljubljana to an online setting.

The main goal is to build and interconnect the community of people
interested in data generated within mathematical research as well as data related 
to mathematics in other ways.

The seminar will aim for a relaxed atmosphere and shorter talks, with plenty of 
time for discussion.

- Time: Fridays, 14:00-15:30 (12:00-13:30 UTC)
- Zoom ID of the seminar will be posted with each announcement.

Announcements will be posted on the [KWARC mathematical data mailing list](http://lists.informatik.uni-erlangen.de/mailman/listinfo/math-data).

### Upcoming seminars:

#### ICMS discussion

- *Time*: Friday, July 24, 2020 from 14:00 to 15:30 (Central European Summer Time, UTC+2)
- *Location*: online at Zoom, ID 933 8933 3092
- *Speaker*: roundtable

**Abstract.** We will discuss talks and discussions from the International Congress on Mathematical Software,
especially the two sessions related to data in mathematics.


### Past seminars:

##### The Knowledge of Mathematics

- *Time*: Friday, July 3, 2020 from 14:00 to 15:30 (Central European Summer Time, UTC+2)
- *Location*: online at Zoom ID: 960 8031 7108
- *Speaker*: Patrick Ion (Mathematical Reviews (retd.), University of Michigan, Ann Arbor, MI)

**Abstract.** Mathematics is a body of knowledge, and it has many representations.  A
library is traditionally a repository of materials that provide access to knowledge.
The idea of a universal library, or of one just for mathematics, has long been an
obvious one.  In the modern day (last century or so) it has come up again from
time to time with each new technological change and notion of representing
mathematics.  Working forward from a resolution of the International Mathematical
Union in 2006 efforts have been under taken to realize a Global Digital Mathematics Library. As part of this an International Mathematical Knowledge Trust has been
founded. I will speak of grand plans, small successes and enormous challenges
that remain in describing some of recent GDML/IMKT activity. This will be from
the point of view I've acquired as a result of watching the field from
Math Reviews (MR) for 30 years or so, being involved with TeX and databases
at MR and with creation of MathML, as well as trying to understand a little bit
of specific subjects (quantum field theory and statistical mechanics, hyperfunctions,
non-commutative geometry, quantum stochastic processes---i.e., anti-Gauss: "multa sed immatura")

##### The Role of Data in Discrete Mathematics

- *Time*: Friday, June 19, 2020 from 14:00 to 15:30 (Central European Summer Time, UTC+2)
- *Location*: online at Zoom ID: 973 9039 7028
- *Speaker*: Gabe Cunningham (University of Massachusetts Boston)

**Abstract.** In mathematics, a well-chosen example can help guide our intuition or 
illustrate the edge-cases of our definitions. 
When studying discrete objects, we can go for quantity over quality and generate 
all examples of objects satisfying certain properties and up to a certain size. 
How can we actually use this data for doing mathematics? 
What are the barriers that prevent us from making better use of data? 
In this talk, I will describe the role that data has played in my own research. 
I will highlight the data repositories that currently exist in my community, 
and I will discuss why I think better tools are needed and why they wouldn't ever be made without MathDataHub. 
Finally, I will talk briefly about some work in progress with Katja Berčič and Jukka Kohonen 
toward developing some new data sets and a Sage package to help my research community.

##### Big Math and the One-Brain Barrier -- The Tetrapod Model of Mathematical Knowledge

- *Time*: Friday, June 5, 2020 from 14:00 to 15:30 (Central European Summer Time, UTC+2)
- *Location*: online at Zoom ID: 939 0067 6059
- *Speaker*: Michael Kohlhase (FAU)

**Abstract.** In this talk I will  present an information model for doing mathematics, 
which posits that humans very efficiently integrate five aspects of mathematics: 
inference, computation, concretization, narration, and organization. 
The challenge for mathematical software systems is to integrate these five aspects in the same way humans do.

The Tetrapod model has cristallized out of almost two decades of work on 
mathematical knowledge representation and permeates the work of the KWARC group. 
The model is relevant to the MathDataHub effort as it will guide the further development 
of the MathHub system (MathDataHub is seen as the concretization facet of MathHub).

##### MathDataHub - your dataset, but FAIR

- *Time*: Friday, May 22, 2020 from 14:00 to 15:30 (Central European Summer Time, UTC+2)
- *Location*: online at Zoom ID: 998 0468 1137
- *Speaker*: Tom Wiesing (FAU)
- [Slides](https://kwarc.info/people/twiesing/pubs/slides/2020_05_22_mdh.pdf)

**Abstract.** MathDataHub provides dataset hosting and a searchable interface for the hosted dataset. 
It was developed by Katja Berčič, Michael Kohlhase, Florian Rabe, and Tom Wiesing. 
In this talk I will give a basic introduction and overview of the system.

##### An overview of mathematical data (Welcome to the seminar)

- *Time*: Friday, May 8, 2020 from 14:00 to 15:30 (Central European Summer Time, UTC+2)
- *Location*: online at Zoom ID: 995-5145-1656
- *Speaker*: Katja Berčič (FAU)

**Abstract.** I will present some of the topics that are relevant for data in 
mathematics: the state of the art, technical and theoretical issues that arise,
as well as broader trends in scientific research data. 

