---
layout: course

title: Symbolic NLP Project
instructors:
    - mkohlhase
    - jfschaefer
semesters:
    - WS24/25 
---

##### Symbolic NLP Project

This 5 ECTS project is a companion to the [LBS course](https://kwarc.info/courses/lbs/)
which introduces logical models for natural language semantics and inferential processes
for natural language understading. 

The project will be to implement these in state of the art
meta-linguistic/logical/computational frameworks developed at the [KWARG
group]{https://kwarc.info). 

##### Organization

The project will start in the third week of classes (so that the LBS course can cover some of the material this project wants to implement) with an admin meeting. Details will be announced.

**Requirements:** There are no formal requirements, but we strongly recommend
that you either have taken the LBS course or will take it in parallel. Furthermore, we
assume that you have a high tolerance for logic and declarative programming.  

##### What happens in the project?
We will start with an individual warm-up problem, in which you will implement some of the
components of the NLU waterfall in Prolog as a baseline. 

All students have to "pass" the
warm-up problem to alone, so that you can judge whether the project works for you.  
The
remaining problems are intended to be solved in teams of size 2.  

Furthermore, you will
have to write a report on one of the problems and have a small presentation (or rather, a
section of a presentation together with other people).  The details will be discussed in
the admin meeting.

##### Sign-up
You can sign up for the AI systems project via
[StudOn](https://www.studon.fau.de/crs5912728.html).

If you miss some of the early deadlines, we assume that you are not interested in the
project and will remove you to give other students a chance.**

**Important:**
You will have to take initiative to finish the project.
That means actively following the announcements (e.g. about new problems or available presentation slots), making sure that you sign up for problems and reach out if you need anything.
Simply joining the StudOn course is not enough.
**As the number of spaces in the project is limited, we will remove students from the project who do not finish the on-boarding procedure in time or who do not submit a preliminary solution to the warm-up problem on time.**
If you have been removed, you can join the waiting list again.

##### Communication
We will use  [our public AISysProj matrix room](https://matrix.to/#/#SymNLProj:fau.de) for
most of the data-to-day communication.
Matrix is a communications platform that is supported by FAU. 
You can find instructions for joining Matrix at FAU [here](https://www.anleitungen.rrze.fau.de/serverdienste/matrix-an-der-fau/erste-schritte/) (only in German, unfortunately).

