---
layout: course

title: Course Knowledge Representation and Processing (Wissensrepräsentation und -verarbeitung, WuV)
instructors:
    - mkohlhase
    - frabe
semesters:
    - SS20
    - SS21
    - WS22/23
---

This is the homepage of the WuV *lecture*, the *seminar* of the same name is a [separate course](/courses/swuv/).

This module provides a general and foundational introduction into knowledge representation and processing.
Human knowledge pervades all areas not only of computer science, but also of all sciences, and this representing and processing this knowledge 
in computer systems is in some sense **the** big challenge and potential of using computers.

Computer science has recognized multiple aspects of knowledge and has developed dedicated representation languages for them.
Over time these have been specialized massively, and the languages, systems, and communities have drifted apart.
Today they include in particular ontology languages and linked data, programming languages and algorithms, data description languages and databases, logics and proofs, as well as formal natural languages and narrative documents.

While many of these aspects and languages are studied in depth in individual courses, students often miss an overall perspective that describes  these approaches as a whole.
The WuV course uses the general goal of knowledge representation as the big picture motivation to survey, analyze, and compare the different languages and systems.
It introduces all the fundamental concepts both of knowledge representation languages in general and of paradigmatic examples of specialized languages in particular (e.g., OWL, Java, first-order logic, SQL, sTeX).
It places special emphasis on the commonalities, differences, and integration of the approaches and the interoperability of the various systems.

The exercises teach practical aspects including both the implementation of knowledge representation languages from scratch as well as the use of state-of-the-art languages and software systems.

We recommend WuV to Master or 3rd year Bachelor students both as an introductory module before taking other modules in the area Artificial Intelligence as well as a one-off overview of the area.
